matrix:
  platform: ["debian11", "macos", "ubuntu2404"]
  bazel: ["7.x", "8.x"]

tasks:
  verify_targets:
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
      - "--java_language_version=21"
      - "--tool_java_language_version=21"
      - "--java_runtime_version=21"
      - "--tool_java_runtime_version=21"
      - "--cxxopt=-std=c++17" # For protobuf
      - "--host_cxxopt=-std=c++17" # For protobuf
    build_targets:
      - "@copybara//java/com/google/copybara:copybara"
